package com.zmn.bfm.mds.admin;

import com.zmn.framework.web.config.FastJsonHttpMessageConverterConfiguration;
import com.zmn.manager.mq.annotation.EnableMQSend;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.context.annotation.Import;

@EnableMQSend
@SpringBootApplication(
   scanBasePackages = {"com.zmn.bfm.mds"},
   exclude = {DataSourceAutoConfiguration.class}
)
@Import({FastJsonHttpMessageConverterConfiguration.class})
public class ZmnBfmMdsAdminApplication {

   public static void main(String[] args) {
      SpringApplication.run(ZmnBfmMdsAdminApplication.class, args);
   }
}
